%global pypi_name marrow.util
%global srcname marrow-util
%global modname marrow
%global desc Marrow utilities collection contains many commonly \
re-implemented utility classes and functions.

Name:           python-%{srcname}
Version:        1.2.3
Release:        10%{?dist}
Summary:        A collection of many commonly re-implemented utility classes and functions

License:        MIT
URL:            https://github.com/%{modname}/util
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/%{modname}/util/master/LICENSE
Source2:        https://raw.githubusercontent.com/%{modname}/util/master/README.textile
BuildArch:      noarch

%description
%{desc}

%package -n     python3-%{srcname}
BuildRequires:  python3-coverage
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -n %{pypi_name}-%{version}
# Docs and license from other source
cp -p %{SOURCE1} LICENSE
cp -p %{SOURCE2} README.textile
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
# (Hot)Fix issue with implicit namespace package in Python 3.6
cp %{modname}/__init__.py %{buildroot}/%{python3_sitelib}/%{modname}/

%check
# PyPI package doesn't contains tests

%files -n python3-%{srcname}
%doc README.textile
%license LICENSE
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 19 2018 Lumír Balhar <lbalhar@redhat.com> - 1.2.3-9
- Get rid of Python 2 subpackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.2.3-7
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 05 2017 Lumir Balhar <lbalhar@redhat.com> - 1.2.3-3
- Fixed issue with implicit namespace package in Python 3.6

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.3-2
- Rebuild for Python 3.6

* Mon Jul 25 2016 Lumir Balhar <lbalhar@redhat.com> - 1.2.3-1
- Initial package.
